# Class MainFrame.ErrorsAndFatalsCounterLogTarget

java.lang.Object
org.apache.jmeter.gui.MainFrame.ErrorsAndFatalsCounterLogTarget

All Implemented Interfaces:
  `Clearable`

Enclosing class:
  `MainFrame`

public final class MainFrame.ErrorsAndFatalsCounterLogTarget extends Object implements Clearable

## Field Summary

Fields
Modifier and Type
Field
Description
`AtomicInteger`
`errorOrFatal`

## Constructor Summary

Constructors
Constructor
Description
`ErrorsAndFatalsCounterLogTarget()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
Clears the current data of the object.
`void`
`processEvent(LogEvent event)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### errorOrFatal

public AtomicInteger errorOrFatal

## Constructor Details

### ErrorsAndFatalsCounterLogTarget

public ErrorsAndFatalsCounterLogTarget()

## Method Details

### processEvent

public void processEvent(LogEvent event)

### clearData

public void clearData()
Description copied from interface: `Clearable`
Clears the current data of the object.

Specified by:
  `clearData` in interface `Clearable`